return {
  data: function() {
    return {
      state: {},
      data: {}    
    };
  },
  methods: {
    getMyCredList: function(){
      var that = this;
      GetCertificateversionUserList({
        version: 1,
        apptoken: that.state.appToken
      }).then(function(res){
        res.data.map(function(item){
          item.json.infolist = item.json.infolist.concat(item.json.dynamicValidateForm.domains)
          item.canvasImg = ''
        })
        that.data = res.data

      })
    },
    download:function(url){
      var link = document.createElement('a');
      ExpertPdf({img:url}).then(function(res){
        link.href = res.pdfurl;
        link.download = '证书';
        link.click()
      })
    }
  },
  mounted: function() {
    var that = this;
    this.$store.ready(function(state) {
      that.state = state;
      that.getMyCredList()
    });
  }
};
